%define plugin_version 2.0
%define squirrelmail_version 1.4

Name:           squirrelmail-vacation_local
Version:        %{plugin_version}.sq%{squirrelmail_version}
Release:        1%{?dist}
Summary:        Vacation Local plugin for SquirrelMail

Group:          Applications/Communications
License:        GPL
URL:            http://www.squirrelmail.org/plugin_view.php?id=51
Source0:        http://www.squirrelmail.org/plugins/vacation_local-%{plugin_version}-%{squirrelmail_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

#BuildRequires:  
Requires:       squirrelmail

%description
Allows users to create an auto-respond message to all incoming email while
they're away.

Vacation data can be uploaded to the server using FTP or SUID script
methods. Lookup of correct FTP server via LDAP is also supported.

This plugin is only intended for systems where email users have local user
accounts (or at least FTP access with home directories that the SMTP server
knows about), and where you are running a vacation program that knows what
to do with the vacation and .forward files this plugin places into users'
home directories. Note that this plugin only manages those files, and is not
itself responsible for your SMTP server actually sending the auto-replies.


%prep
%setup -q -n vacation_local


%build
cd vacation_binary
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_sysconfdir}/squirrelmail \
  $RPM_BUILD_ROOT%{_datadir}/squirrelmail/plugins/vacation_local
cp -arf *.php $RPM_BUILD_ROOT%{_datadir}/squirrelmail/plugins/vacation_local/
cp -af config.php.sample \
  $RPM_BUILD_ROOT%{_sysconfdir}/squirrelmail/vacation_local.php
ln -s \
  %{_sysconfdir}/squirrelmail/vacation_local.php \
  $RPM_BUILD_ROOT%{_datadir}/squirrelmail/plugins/vacation_local/config.php
#cp -af vacation_binary/squirrelmail_vacation_proxy $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%config %{_sysconfdir}/squirrelmail/vacation_local.php
%dir %{_datadir}/squirrelmail/plugins/vacation_local
%{_datadir}/squirrelmail/plugins/vacation_local/*.php
# proxy not included in noarch package
#%{_sbindir}/squirrelmail_vacation_proxy


%changelog
